function skill225(r)
	
	if r==1 then
		players = {}               --用以储存场上玩家存活数
			i=1
			for p=0,9,1 do
				pid=2^p
				--if player.IsPlayerInBattle(pid)==1 and player.GetHP(pid,0)~=0 and battle.CheckPlayerStat(pid,28)==0 then
				if player.IsPlayerInBattle(pid)==1 and player.GetHP(pid,0)~=0 then
					players[i]=pid
					i=i+1
				end
			end
			
		p=#players
		if j>p then
			j=p
		end
		if j>0 then
			for x=1,j,1 do
				--id = battle.GetRndPlayer()
				id = players[x]
				player.AddStat(0,id,100,29,1)
			end
		end
		j=0
	end
end